package com.jeesite.modules.admin.wenjuan.service;

import java.util.List;

import com.jeesite.modules.admin.wenjuan.dao.AdminQuestionnaireRecordDao;
import com.jeesite.modules.admin.wenjuan.entity.AdminQuestionnaireRecord;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;


/**
 * 问卷调查记录表Service
 * @author wlc
 * @version 2022-06-22
 */
@Service
@Transactional(readOnly=true)
public class AdminQuestionnaireRecordService extends CrudService<AdminQuestionnaireRecordDao, AdminQuestionnaireRecord> {
	
	/**
	 * 获取单条数据
	 * @param adminQuestionnaireRecord
	 * @return
	 */
	@Override
	public AdminQuestionnaireRecord get(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		return super.get(adminQuestionnaireRecord);
	}
	
	/**
	 * 查询分页数据
	 * @param adminQuestionnaireRecord 查询条件
	 * @param adminQuestionnaireRecord.page 分页对象
	 * @return
	 */
	@Override
	public Page<AdminQuestionnaireRecord> findPage(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		return super.findPage(adminQuestionnaireRecord);
	}
	
	/**
	 * 查询列表数据
	 * @param adminQuestionnaireRecord
	 * @return
	 */
	@Override
	public List<AdminQuestionnaireRecord> findList(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		return super.findList(adminQuestionnaireRecord);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param adminQuestionnaireRecord
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		super.save(adminQuestionnaireRecord);
	}
	
	/**
	 * 更新状态
	 * @param adminQuestionnaireRecord
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		super.updateStatus(adminQuestionnaireRecord);
	}
	
	/**
	 * 删除数据
	 * @param adminQuestionnaireRecord
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(AdminQuestionnaireRecord adminQuestionnaireRecord) {
		super.delete(adminQuestionnaireRecord);
	}
	
}